# Method: projects.subscriptions.list

- [HTTP request](https://docs.cloud.google.com/pubsub/docs/reference/rest/v1/projects.subscriptions/list#body.HTTP_TEMPLATE)
- [Path parameters](https://docs.cloud.google.com/pubsub/docs/reference/rest/v1/projects.subscriptions/list#body.PATH_PARAMETERS)
- [Query parameters](https://docs.cloud.google.com/pubsub/docs/reference/rest/v1/projects.subscriptions/list#body.QUERY_PARAMETERS)
- [Request body](https://docs.cloud.google.com/pubsub/docs/reference/rest/v1/projects.subscriptions/list#body.request_body)
- [Response body](https://docs.cloud.google.com/pubsub/docs/reference/rest/v1/projects.subscriptions/list#body.response_body)
  - [JSON representation](https://docs.cloud.google.com/pubsub/docs/reference/rest/v1/projects.subscriptions/list#body.ListSubscriptionsResponse.SCHEMA_REPRESENTATION)
- [Authorization scopes](https://docs.cloud.google.com/pubsub/docs/reference/rest/v1/projects.subscriptions/list#body.aspect)
- [Try it!](https://docs.cloud.google.com/pubsub/docs/reference/rest/v1/projects.subscriptions/list#try-it)

Lists matching subscriptions.

### HTTP request

Choose a location:
<button value="global" default="">global</button>   
`GET https://pubsub.googleapis.com/v1/{project}/subscriptions`

<br />

### Path parameters

| Parameters ||
|---|---|
| `project` | `string` Required. The name of the project in which to list subscriptions. Format is `projects/{project-id}`. |

### Query parameters

| Parameters ||
|---|---|
| `pageSize` | `integer` Optional. Maximum number of subscriptions to return. |
| `pageToken` | `string` Optional. The value returned by the last `ListSubscriptionsResponse`; indicates that this is a continuation of a prior `subscriptions.list` call, and that the system should return the next page of data. |

### Request body

The request body must be empty.

### Response body

Response for the `subscriptions.list` method.

If successful, the response body contains data with the following structure:

| JSON representation |
|---|
| ``` { "subscriptions": [ { object (`https://docs.cloud.google.com/pubsub/docs/reference/rest/v1/projects.subscriptions#Subscription`) } ], "nextPageToken": string } ``` |

| Fields ||
|---|---|
| `subscriptions[]` | ``object (`https://docs.cloud.google.com/pubsub/docs/reference/rest/v1/projects.subscriptions#Subscription`)`` Optional. The subscriptions that match the request. |
| `nextPageToken` | `string` Optional. If not empty, indicates that there may be more subscriptions that match the request; this value should be passed in a new `ListSubscriptionsRequest` to get more subscriptions. |

### Authorization scopes

Requires one of the following OAuth scopes:

- `https://www.googleapis.com/auth/pubsub`
- `https://www.googleapis.com/auth/cloud-platform`

For more information, see the [Authentication Overview](https://docs.cloud.google.com/docs/authentication#authorization-gcp).